%global drupalver 6
%{?rhel: %{expand: %%global drupal drupal%%{drupalver}}}
%if 0%{?fedora} >= 15
%global drupal drupal%{drupalver}
%endif
%{!?drupal: %{expand: %%global drupal drupal}}
# e.g. "/usr/share/drupal6"
%global drupalbase           %{_datadir}/%{drupal}
%global drupal_sites_all    %{drupalbase}/sites/all        
%global drupal_modules      %{drupal_sites_all}/modules
# Use upstream name as expressed in URL and tarball
%global modname             geshifilter

Name:    drupal%{drupalver}-%{modname}
Version: 1.4
Release: 6%{?dist}
Summary: Geshi Filter Module for Drupal6
Group:   Applications/Publishing
License: GPLv2
URL:     http://drupal.org/project/%{modname}
Source0: http://ftp.drupal.org/files/projects/%{modname}-%{drupalver}.x-%{version}.tar.gz
Source1: %{name}-fedora-README.txt
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  drupal6, php-geshi

%description
The GeShi Filter module provides a filter for source code syntax highlighting for a wide range of languages. 

%prep
%setup -qn %{modname}

%build
cp %{SOURCE1} .

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupal_modules}/%{modname}
find . -type f -exec install -m 0644 -D '{}' %{buildroot}%{drupal_modules}/%{modname}/'{}' \;

%clean
rm -rf %{buildroot}

%post
ln -s /usr/share/php/geshi.php /%{drupal_modules}/%{modname}/

%postun
unlink /%{drupal_modules}/%{modname}/geshi.php

%files
%defattr(-,root,root,-)
# Remember to include other documentation text here as well
%doc %{name}-fedora-README.txt
# Remember to exclude all documentation texts from above
%exclude %{drupal_modules}/%{modname}/%{name}-fedora-README.txt
%{drupal_modules}/%{modname}

%changelog
* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Mar 14 2012 Anderson Silva <ansilva@redhat.com> - 1.4-5
- Update Licensing 

* Tue Mar 13 2012 Anderson Silva <ansilva@redhat.com> - 1.4-4
- Update description

* Mon Mar 12 2012 Anderson Silva <ansilva@redhat.com> - 1.4-3
- Fix geshi.php dependency

* Fri Mar 9 2012 Anderson Silva <ansilva@redhat.com> - 1.4-2
- Update spec to comply with Fedora Packaging

* Mon Mar 5 2012 Anderson Silva <ansilva@redhat.com> - 1.4-1
- Initial rpm package
